ru.bitel.bgbilling.plugins.crm.server.dao

## Class RegisterTaskManager

- java.lang.Object
- - ru.bitel.bgbilling.plugins.crm.server.dao.RegisterTaskManager

-     public class RegisterTaskManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterTaskManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteTask(int id)` Удаление задачи из БД
    `void` | `deleteTasksByContractId(int contractId)`
    `java.util.List<RegisterTask>` | `getAfterDateTaskList(int cid, java.util.Calendar fromDate)` Получение списка задач договора с датой открытие более или равной fromDate
    `java.util.List<RegisterTask>` | `getNoClosedTaskList(int cid)` Получение списка не закрытых задач для договора
    `java.util.List<RegisterTask>` | `getRegisterTaskLog(int taskId)` Получение лога изменений статусов задач
    `java.util.List<RegisterTaskType>` | `getRegisterTaskTypeList(java.util.Set<java.lang.Integer> groups)`
    `static java.util.Map<java.lang.Integer,java.lang.String>` | `getStatusMap(java.lang.String values)`
    `RegisterTask` | `getTaskById(int id)` Получение задачи по ее коду в БД
    `RegisterTask` | `getTaskByID(int id)` Deprecated.
    `int` | `getTaskCount(ru.bitel.bgbilling.plugins.crm.server.model.TaskFilter filter)` Получение количества задач по определенному фильтру
    `java.util.List<PersonalRegisterTask>` | `getTaskList(ru.bitel.bgbilling.plugins.crm.server.model.TaskFilter filter, Page page)`
    `void` | `loadExecutorList(RegisterTask task)` Загрузка кодов исполнителей для задачи, далее доступны по методу getExecutors()
    `void` | `updateExecutorList(RegisterTask task)` Обновление исполнителей задачи
    `void` | `updateTask(RegisterTask task, int userId)` Обновление задачи в БД
    `void` | `updateTask(java.lang.String id, RegisterTask task)` Deprecated. использовать `updateExecutorList(RegisterTask)`
    `void` | `updateTaskLog(RegisterTask task, int userId)` метод обновления таблицы логов задачи

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterTaskManager

          public RegisterTaskManager(java.sql.Connection con)

  - ### Method Detail

    - #### getTaskById

          public RegisterTask getTaskById(int id)

      Получение задачи по ее коду в БД
      Parameters:
        `id` - - код задачи
      Returns:
        объект с данными о задаче с указанным id

    - #### getTaskByID

          @Deprecated
          public RegisterTask getTaskByID(int id)

      Deprecated.
      Использовать `getTaskById(int)`.
      Parameters:
        `id` -
      Returns:

    - #### loadExecutorList

          public void loadExecutorList(RegisterTask task)

      Загрузка кодов исполнителей для задачи, далее доступны по методу getExecutors()
      Parameters:
        `task` -

    - #### getStatusMap

          public static java.util.Map<java.lang.Integer,java.lang.String> getStatusMap(java.lang.String values)

    - #### updateExecutorList

          public void updateExecutorList(RegisterTask task)

      Обновление исполнителей задачи
      Parameters:
        `task` - - задача, список исполнителей должен быть установлен через task.setExecutors()

    - #### updateTask

          @Deprecated
          public void updateTask(java.lang.String id,
                                             RegisterTask task)

      Deprecated. использовать `updateExecutorList(RegisterTask)`
      Parameters:
        `id` -
        `task` -

    - #### updateTask

          public void updateTask(RegisterTask task,
                                 int userId)

      Обновление задачи в БД
      Parameters:
        `task` - - код с id существующей задачи либо -1 - для создаваемой

    - #### updateTaskLog

          public void updateTaskLog(RegisterTask task,
                                    int userId)

      метод обновления таблицы логов задачи
      Parameters:
        `task` - Задача, у которой изменился статус
        `userId` - Пользователь, изменивший статус задачи

    - #### getRegisterTaskLog

          public java.util.List<RegisterTask> getRegisterTaskLog(int taskId)

      Получение лога изменений статусов задач
      Parameters:
        `taskId` - код задачи
      Returns:
        Список измений статусов

    - #### deleteTask

          public void deleteTask(int id)

      Удаление задачи из БД
      Parameters:
        `id` -

    - #### deleteTasksByContractId

          public void deleteTasksByContractId(int contractId)

    - #### getTaskCount

          public int getTaskCount(ru.bitel.bgbilling.plugins.crm.server.model.TaskFilter filter)

      Получение количества задач по определенному фильтру
      Parameters:
        `filter` -
      Returns:
        количество задач соответствующих заданому фильтру

    - #### getAfterDateTaskList

          public java.util.List<RegisterTask> getAfterDateTaskList(int cid,
                                                                   java.util.Calendar fromDate)

      Получение списка задач договора с датой открытие более или равной fromDate
      Parameters:
        `cid` - - код договора
        `fromDate` -
      Returns:
        список задач

    - #### getNoClosedTaskList

          public java.util.List<RegisterTask> getNoClosedTaskList(int cid)

      Получение списка не закрытых задач для договора
      Parameters:
        `cid` -
      Returns:
        список задач

    - #### getTaskList

          public java.util.List<PersonalRegisterTask> getTaskList(ru.bitel.bgbilling.plugins.crm.server.model.TaskFilter filter,
                                                                  Page page)

    - #### getRegisterTaskTypeList

          public java.util.List<RegisterTaskType> getRegisterTaskTypeList(java.util.Set<java.lang.Integer> groups)
                                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`